jackrabbit-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Paco Avila <pav...@git.es>
Subject RE: Other 3rd party libraries in Jackrabbit's war file
Date Tue, 06 May 2008 08:10:51 GMT
I'have no test case, but I can search the file and prepare a test.

El lun, 05-05-2008 a las 21:43 -0700, Julio Castillo escribió:
> Paco,
> If you have a test case available on the issue you found with POI 3.0.2 I'd
> be more than happy to pursue that with the POI folks.
> Again, I am interested in making sure that using newer versions of the other
> libraries work fine in my jackrabbit's environment.
> 
> ** julio  
> 
> -----Original Message-----
> From: Paco Avila [mailto:pavila@git.es] 
> Sent: Monday, May 05, 2008 12:52 AM
> To: users@jackrabbit.apache.org
> Subject: Re: Other 3rd party libraries in Jackrabbit's war file
> 
> Yes, ?pdfbox 0.7.3 is much better than the default Jackrabbit version. I
> have been testing POI 3.0.2 and failed to extract text from some Excel files
> which was done whithout problems with POI 3.0.1.
> 
> El jue, 01-05-2008 a las 14:39 -0700, Julio Castillo escribió:
> > Thought I share this with you all and save you some time.
> > 
> > Because we use a good number of open source libraries, I had to test 
> > Jackrabbit (to the degree that I use it) with newer versions of other 
> > libraries that are embedded in the jackrabbit war file.
> > 
> > I successfully deployed and ran with the following upgrades. 
> > 
> > - slf4j 1.5.0
> > - commons-codec 1.3
> > - commons-collections 3.2
> > - commons-httpclient 3.1
> > - junit 4.4
> > - log4j 1.2.15
> > - xerces 2.9.1
> > - pdfbox 0.7.3 that should include new dependency on fontbox 0.1 (See 
> > bug#
> > 1567)
> > - POI 3.0.2
> > 
> > Couldn't upgrade the tm-extractors (see bug# 1568)
> > 
> > Julio Castillo
> > Edgenuity Inc.
> > 
> --
> Paco Avila <pavila@git.es>
> GIT Consultors
> 
-- 
Paco Avila <pavila@git.es>
GIT Consultors


Mime
View raw message